/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.view;
import cadastrodeveiculos.classe.PessoaMotorista;
import cadastrodeveiculos.arquiteturadosoftware.PersistenciaMotorista;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;


/**
 *
 * @author Trabalho
 */
public class cadastroMotorista extends javax.swing.JFrame {
    
       
    private String FILE_MOTORISTA = "D:\\ProjetoIntegrador02\\motorista.txt";
   
    private boolean incluindo = true;
    private Integer linhaAlterando = null;
    
    PersistenciaMotorista motorista  = new PersistenciaMotorista(FILE_MOTORISTA);

    /**
     * Creates new form TelaCadMotorista
     */
    public cadastroMotorista() {
        initComponents();
    }
    PessoaMotorista objeto = null;

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabelMotorista = new javax.swing.JLabel();
        jTextFieldNOMR = new javax.swing.JTextField();
        jLabelDataNasc = new javax.swing.JLabel();
        jLabelMotorista2 = new javax.swing.JLabel();
        jLabelTelefone = new javax.swing.JLabel();
        jTextFieldTELEFONE = new javax.swing.JFormattedTextField();
        jTextFieldCPF = new javax.swing.JFormattedTextField();
        jTextFieldDATANACIMENTO = new javax.swing.JFormattedTextField();
        jLabelTelefone1 = new javax.swing.JLabel();
        jTextFieldREGISTROCNH = new javax.swing.JTextField();
        jLabelValidade = new javax.swing.JLabel();
        jTextFieldVALIDADECNH = new javax.swing.JTextField();
        jButtonIncluir = new javax.swing.JButton();
        jButtonListar = new javax.swing.JButton();
        jButtonAlterar = new javax.swing.JButton();
        jButtonExcluir = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTableListagem = new javax.swing.JTable();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JL Rent Car - Cadastro de Motorista");

        jLabelMotorista.setText("Nome");

        jTextFieldNOMR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldNOMRActionPerformed(evt);
            }
        });

        jLabelDataNasc.setText("Data de Nascimento");

        jLabelMotorista2.setText("CPF");

        jLabelTelefone.setText("Telefone");

        try {
            jTextFieldTELEFONE.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("(##) # ####-####")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        try {
            jTextFieldCPF.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("###.###.###-##")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        try {
            jTextFieldDATANACIMENTO.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("##/##/####")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        jLabelTelefone1.setText("Registro da CNH");

        jLabelValidade.setText("Validade da CNH");

        jButtonIncluir.setText("INCLUIR");
        jButtonIncluir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonIncluirActionPerformed(evt);
            }
        });

        jButtonListar.setText("LISTAR");
        jButtonListar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonListarActionPerformed(evt);
            }
        });

        jButtonAlterar.setText("ALTERAR");
        jButtonAlterar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAlterarActionPerformed(evt);
            }
        });

        jButtonExcluir.setText("EXCLUIR");
        jButtonExcluir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonExcluirActionPerformed(evt);
            }
        });

        jButtonCancelar.setText("CANCELAR");
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        jTableListagem.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "ID", "Nome", "Data de Nascimento", "CPF", "Telefone", "Numero da CNH", "Validade da CNH"
            }
        ));
        jTableListagem.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jTableListagemMousePressed(evt);
            }
        });
        jScrollPane1.setViewportView(jTableListagem);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 695, Short.MAX_VALUE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                        .addComponent(jLabelTelefone1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jLabelMotorista, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jLabelDataNasc, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 104, Short.MAX_VALUE)
                                        .addComponent(jLabelTelefone, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addComponent(jTextFieldNOMR, javax.swing.GroupLayout.PREFERRED_SIZE, 177, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextFieldTELEFONE, javax.swing.GroupLayout.PREFERRED_SIZE, 177, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addGap(18, 18, 18)
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldCPF, javax.swing.GroupLayout.PREFERRED_SIZE, 177, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jLabelMotorista2, javax.swing.GroupLayout.PREFERRED_SIZE, 104, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addGap(18, 18, 18)
                                        .addComponent(jLabelValidade, javax.swing.GroupLayout.PREFERRED_SIZE, 94, javax.swing.GroupLayout.PREFERRED_SIZE))))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jTextFieldDATANACIMENTO, javax.swing.GroupLayout.PREFERRED_SIZE, 177, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(jTextFieldVALIDADECNH, javax.swing.GroupLayout.PREFERRED_SIZE, 177, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jTextFieldREGISTROCNH, javax.swing.GroupLayout.PREFERRED_SIZE, 177, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jButtonIncluir)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButtonListar, javax.swing.GroupLayout.PREFERRED_SIZE, 85, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButtonAlterar)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButtonExcluir)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButtonCancelar)))
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelMotorista)
                    .addComponent(jLabelMotorista2))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldNOMR, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldCPF, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(14, 14, 14)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelDataNasc)
                    .addComponent(jLabelValidade))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldDATANACIMENTO, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldVALIDADECNH, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabelTelefone)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextFieldTELEFONE, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jLabelTelefone1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jTextFieldREGISTROCNH, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonIncluir)
                    .addComponent(jButtonListar)
                    .addComponent(jButtonAlterar)
                    .addComponent(jButtonExcluir)
                    .addComponent(jButtonCancelar))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 175, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        setSize(new java.awt.Dimension(759, 521));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonIncluirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonIncluirActionPerformed
   
        try{
            String nome = jTextFieldNOMR.getText();
            String CPF = jTextFieldCPF.getText();
            String datanacimento= jTextFieldDATANACIMENTO.getText();
            String validadeCNH = jTextFieldVALIDADECNH.getText();
            String telefone =jTextFieldTELEFONE.getText();
            String nRegistro = jTextFieldREGISTROCNH.getText();

  
                    
            PessoaMotorista objPessoaMotorista = new PessoaMotorista(nome, CPF, datanacimento, validadeCNH, telefone, nRegistro);
            
            if (incluindo) {
                //Listar assim que inclui na Tabela  
                DefaultTableModel inclui = (DefaultTableModel) jTableListagem.getModel();
                inclui.addRow(new String [] {nome, CPF, datanacimento, validadeCNH, telefone, nRegistro});
                
                //Incluir nova linha na Tabela
                motorista.incluir(objPessoaMotorista);
            } else {
                Path path = Paths.get(FILE_MOTORISTA);
                List<String> linhas = Files.readAllLines(path);
                
                String novoConteudo = objPessoaMotorista.desmaterializar();

                linhas.remove(linhaAlterando.intValue());
                linhas.add(linhaAlterando, novoConteudo);

                Files.write(path, linhas);                
                
                incluindo = true;
                linhaAlterando = null;
            }            
   
            
        }catch(Exception erro){
            JOptionPane.showMessageDialog(rootPane, erro.getMessage());
        }


        alternarBotoes(1);
        habilitarCampos(true);


    }//GEN-LAST:event_jButtonIncluirActionPerformed

    private void jButtonListarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonListarActionPerformed
try { 
            ArrayList<PessoaMotorista> dados = motorista.listagem();
            DefaultTableModel model =  (DefaultTableModel) jTableListagem.getModel();
            model.setNumRows(0);
            
          for(int pos = 0; pos < dados.size();pos++){
                String[] saida= new String[10];
                PessoaMotorista aux = dados.get(pos);
                saida[0] = aux.getNome();
                saida[1] = aux.getCPF();
                saida[2] = aux.getDataNascimento();
                saida[3] = aux.getValidadeCNH();
                saida[4] = aux.getTelefone();
                saida[5] = aux.getnRegistro();
                //Incluir nova linha na Tabela
                model.addRow(saida);
            }
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(rootPane, ex.getMessage());
        }
    }//GEN-LAST:event_jButtonListarActionPerformed

    private void jButtonAlterarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAlterarActionPerformed
       
   try {
            if (jTableListagem.getSelectedRow() != -1) {                
                alterarMarcaSelecionadaDoArquivo(jTableListagem.getSelectedRow());
            } else {
                JOptionPane.showMessageDialog(null, "Selecione algo para Alterar!!");
            }
        } catch (IOException e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }           
    }//GEN-LAST:event_jButtonAlterarActionPerformed

    private void jButtonExcluirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonExcluirActionPerformed
      
        try {
            
            if (jTableListagem.getSelectedRow() != -1) {                
                DefaultTableModel model =  (DefaultTableModel) jTableListagem.getModel();
                model.removeRow(jTableListagem.getSelectedRow());
                excluirMarcaSelecionadaDoArquivo(jTableListagem.getSelectedRow());
                
            } else {
                JOptionPane.showMessageDialog(null, "Selecione algo para Excluir!!");
            }
        } catch (Exception e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }     
    }//GEN-LAST:event_jButtonExcluirActionPerformed

    private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
        // TODO add your handling code here:

        habilitarCampos(false);
        limparCampos();
        alternarBotoes(0);
        
        ViewSubLogin telasublogin = new ViewSubLogin();
        telasublogin.setVisible(true);
        dispose();
        
    }//GEN-LAST:event_jButtonCancelarActionPerformed

    private void jTableListagemMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTableListagemMousePressed

    }//GEN-LAST:event_jTableListagemMousePressed

    private void jTextFieldNOMRActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldNOMRActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldNOMRActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
//        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
//        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
//         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
//         */
//        try {
//            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
//                if ("Nimbus".equals(info.getName())) {
//                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
//                    break;
//                }
//            }
//        } catch (ClassNotFoundException ex) {
//            java.util.logging.Logger.getLogger(TelaCadMotorista.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (InstantiationException ex) {
//            java.util.logging.Logger.getLogger(TelaCadMotorista.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (IllegalAccessException ex) {
//            java.util.logging.Logger.getLogger(TelaCadMotorista.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
//            java.util.logging.Logger.getLogger(TelaCadMotorista.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        }
//        //</editor-fold>

       /* Create and display the form */
       java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
               new cadastroMotorista().setVisible(true);
          }
     });
    }
    public void habilitarCampos(boolean habilitar) {
        jTextFieldCPF.setEnabled(habilitar);
        jTextFieldDATANACIMENTO.setEnabled(habilitar);
        jTextFieldTELEFONE.setEnabled(habilitar);
        jTextFieldNOMR.setEnabled(habilitar);
        jTextFieldREGISTROCNH.setEnabled(habilitar);
        jTextFieldVALIDADECNH.setEnabled(habilitar);

    }

    public void limparCampos() {

        jTextFieldCPF.setText("");
        jTextFieldDATANACIMENTO.setText("");
        jTextFieldTELEFONE.setText("");
        jTextFieldNOMR.setText("");
        jTextFieldREGISTROCNH.setText("");
        jTextFieldVALIDADECNH.setText("");

    }

    public void alternarBotoes(int operacao) {
        switch (operacao) {

            case 0:
                jButtonIncluir.setEnabled(true);
                jButtonExcluir.setEnabled(true);
                jButtonIncluir.setVisible(true);
                jButtonExcluir.setVisible(true);
                jButtonListar.setVisible(true);
                jButtonExcluir.setVisible(true);
                jButtonCancelar.setVisible(false);
                break;
            case 1:
           
                jButtonIncluir.setEnabled(false);
           
                jButtonExcluir.setVisible(false);
                jButtonExcluir.setVisible(false);
                jButtonListar.setVisible(false);
                jButtonCancelar.setVisible(true);
                break;
            case 4:
                
                jButtonExcluir.setEnabled(false);
                
                jButtonIncluir.setVisible(false);
                jButtonExcluir.setVisible(false);
                jButtonListar.setVisible(false);
                

                jButtonCancelar.setVisible(true);
                break;
        }
    }

    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAlterar;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JButton jButtonExcluir;
    private javax.swing.JButton jButtonIncluir;
    private javax.swing.JButton jButtonListar;
    private javax.swing.JLabel jLabelDataNasc;
    private javax.swing.JLabel jLabelMotorista;
    private javax.swing.JLabel jLabelMotorista2;
    private javax.swing.JLabel jLabelTelefone;
    private javax.swing.JLabel jLabelTelefone1;
    private javax.swing.JLabel jLabelValidade;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTableListagem;
    private javax.swing.JFormattedTextField jTextFieldCPF;
    private javax.swing.JFormattedTextField jTextFieldDATANACIMENTO;
    private javax.swing.JTextField jTextFieldNOMR;
    private javax.swing.JTextField jTextFieldREGISTROCNH;
    private javax.swing.JFormattedTextField jTextFieldTELEFONE;
    private javax.swing.JTextField jTextFieldVALIDADECNH;
    // End of variables declaration//GEN-END:variables
  private void alterarMarcaSelecionadaDoArquivo(int linhaSelecionada) throws IOException {
        incluindo = false;
        linhaAlterando = new Integer(linhaSelecionada);
        jTextFieldNOMR.setText((String) jTableListagem.getValueAt(linhaSelecionada, 0)); 
        jTextFieldCPF.setText((String) jTableListagem.getValueAt(linhaSelecionada, 1)); 
        jTextFieldDATANACIMENTO.setText((String) jTableListagem.getValueAt(linhaSelecionada, 2)); 
        jTextFieldVALIDADECNH.setText((String) jTableListagem.getValueAt(linhaSelecionada, 3)); 
        jTextFieldTELEFONE.setText((String) jTableListagem.getValueAt(linhaSelecionada, 4)); 
        jTextFieldREGISTROCNH.setText((String) jTableListagem.getValueAt(linhaSelecionada, 5)); 
       
    }
    
 
            
    private void excluirMarcaSelecionadaDoArquivo(int linhaSelecionada) throws IOException {
        Path path = Paths.get(FILE_MOTORISTA);
        List<String> linhas = Files.readAllLines(path);
        linhas.remove(linhaSelecionada + 1);
        Files.write(path, linhas);        
    }
}
